gtkmm: Gtk::StringObject Class Reference

gtkmm 4.6.0

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::StringObject Class Reference

`#include <gtkmm/stringobject.h>`

Inheritance diagram for Gtk::StringObject:
[legend]

## Public Member Functions
| StringObject (StringObject&& src) noexcept
StringObject& | operator= (StringObject&& src) noexcept
| ~StringObject () noexcept override
GtkStringObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkStringObject* | gobj () const
| Provides access to the underlying C GObject. More...
GtkStringObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_string () const
| Returns the string contained in a `Gtk::StringObject`. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_string () const
| The string. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< StringObject > | create (const Glib::ustring&string)
| Wraps a string in an object for use with `Gio::ListModel`. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::StringObject > | wrap (GtkStringObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Constructor & Destructor Documentation

## ◆ StringObject()

Gtk::StringObject::StringObject | ( | StringObject&& | src | ) |
| noexcept

## ◆ ~StringObject()

Gtk::StringObject::~StringObject | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< StringObject > Gtk::StringObject::create | ( | const Glib::ustring & | string | ) |
| static

Wraps a string in an object for use with `Gio::ListModel`.

Parameters

  string | The string to wrap.

Returns
  A new `Gtk::StringObject`.

## ◆ get_string()

Glib::ustring Gtk::StringObject::get_string | ( |  | ) | const

Returns the string contained in a `Gtk::StringObject`.

Returns
  The string of self.

## ◆ get_type()

static GType Gtk::StringObject::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkStringObject * Gtk::StringObject::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkStringObject * Gtk::StringObject::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkStringObject * Gtk::StringObject::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

StringObject& Gtk::StringObject::operator= | ( | StringObject&& | src | ) |
| noexcept

## ◆ property_string()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::StringObject::property_string | ( |  | ) | const

The string.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::StringObject > wrap | ( | GtkStringObject * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.